BornAgain - Feature #1275

Feature # 1289 (Rejected): == Instrument (beam, resolution, detector) ==

Provide rectangle detector examples and functional tests
12 Jan 2016 14:13 - pospelov

Status: Archived Start date: 12 Jan 2016
Priority: Normal Due date:

Assignee: pospelov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 30

Description

rewrite importGalaxyData example

o think of publishing as drupal example
¢ rewrite importMariaData example
o think of publishing as drupal example

+ modify plots for drupal tutorials to display direction of phi, alpha angles; put there the case alpha_min<0.0
e implement fitting for rectangular detector case

e create new RectangularDetector tutorial section demonstrating the difference between RectangularDetector and
SphericalDetector in realistic geometry
o this also will cover questions related to import of real data

¢ revive MesoCrystal fitting on the base of RectangularDetector to make sure that corresponding machinery is actually ok

¢ provide RectangularDetector simulation functional test (perpendicular to sample, to direct/reflected beam; validation against
reference files)
e provide RectangularDetector fitting functional test

¢ implement new version of GISASSimulation::getintensityData which will returns modified version of Histogram2D
o if there is a masked area, the resulting histogram should show minimal (shrinked) area corresponding to all unmasked
detector bins
o think of having getintensityData(IN_MM | IN_DEG | IN_RAD | IN_Q)

History

#1 - 02 Feb 2016 11:23 - wuttke
- Parent task set to #1289

#2 - 10 Feb 2016 16:26 - pospelov

- Status changed from Sprint to Resolved

finally

#3 - 15 Feb 2016 16:01 - pospelov

- Status changed from Resolved to Archived
